<template>
	<div class=" bg-inicio">
		<div class=" content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail "><b>Atención</b></span><br>
					<span class="content-session-inicio">
					Se eliminará la sesión completa de Semana 1 '{{ tempSessionName }}' ¿Estás seguro? 
					</span> <br>
					
					<div class="icon-inicio">
						<i class="fa fa-question-circle"></i>
					</div>
					
					<a class="close-btn btn-false waves-effect waves-light" @click.prevent="closeStandarModal">
						<i class=" ">No</i>
					</a>
					<a  class="close-btn  waves-effect waves-light" @click.prevent="deleteSession">
						<i class=" ">SÍ</i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import { mapGetters, mapActions} from 'vuex'
	export default {
  		methods : {
  			...mapActions([
				  'toggleFavorite',
				  'deleteEditingSession', 
				  'closeStandarModal',
				  'endEditing',
				  'endBuilding',
				  'deleteCurrentSession'
				  ]),
  			deleteSession(){
				if (this.isEditing) {
						this.deleteEditingSession()
						this.endEditing()
					}
				this.deleteCurrentSession()
				this.endBuilding()
				this.closeStandarModal()
				}
			},
  		computed: {
  			...mapGetters(['tempSessionName', 'isEditing']),
  		}
	}
</script>